Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.sql
Class QSqlDriver.DriverFeature

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.sql.QSqlDriver.DriverFeature

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QSqlDriver

    public static final class QSqlDriver.DriverFeature

extends java.lang.Enum
implements QtEnumerator

This enum contains a list of features a driver might support. Use `hasFeature()` to query whether a feature is supported or not. More information about supported features can be found in the Qt SQL driver documentation.

See also:
  `hasFeature()`.

See Also:
  Serialized Form

Field Summary
`static QSqlDriver.DriverFeature` | `BatchOperations` Whether the driver supports batched operations, see `QSqlQuery::execBatch()`
`static QSqlDriver.DriverFeature` | `BLOB` Whether the driver supports Binary Large Object fields.
`static QSqlDriver.DriverFeature` | `EventNotifications` Whether the driver supports database event notifications.
`static QSqlDriver.DriverFeature` | `FinishQuery` Whether the driver can do any low-level resource cleanup when `QSqlQuery::finish()` is called.
`static QSqlDriver.DriverFeature` | `LastInsertId` Whether the driver supports returning the Id of the last touched row.
`static QSqlDriver.DriverFeature` | `LowPrecisionNumbers` Whether the driver allows fetching numerical values with low precision.
`static QSqlDriver.DriverFeature` | `MultipleResultSets` Whether the driver can access multiple result sets returned from batched statements or stored procedures.
`static QSqlDriver.DriverFeature` | `NamedPlaceholders` Whether the driver supports the use of named placeholders.
`static QSqlDriver.DriverFeature` | `PositionalPlaceholders` Whether the driver supports the use of positional placeholders.
`static QSqlDriver.DriverFeature` | `PreparedQueries` Whether the driver supports prepared query execution.
`static QSqlDriver.DriverFeature` | `QuerySize` Whether the database is capable of reporting the size of a query.
`static QSqlDriver.DriverFeature` | `SimpleLocking` Whether the driver disallows a write lock on a table while other queries have a read lock on it.
`static QSqlDriver.DriverFeature` | `Transactions` Whether the driver supports SQL transactions.
`static QSqlDriver.DriverFeature` | `Unicode` Whether the driver supports Unicode strings if the database server does.

Method Summary
`static QSqlDriver.DriverFeature` | `resolve(int value)` Returns the QSqlDriver$DriverFeature constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QSqlDriver.DriverFeature` | `valueOf(java.lang.String name)`
`static QSqlDriver.DriverFeature[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Transactions

    public static final QSqlDriver.DriverFeature Transactions

  Whether the driver supports SQL transactions.

### QuerySize

    public static final QSqlDriver.DriverFeature QuerySize

  Whether the database is capable of reporting the size of a query. Note that some databases do not support returning the size (i.e. number of rows returned) of a query, in which case `QSqlQuery::size()` will return -1.

### BLOB

    public static final QSqlDriver.DriverFeature BLOB

  Whether the driver supports Binary Large Object fields.

### Unicode

    public static final QSqlDriver.DriverFeature Unicode

  Whether the driver supports Unicode strings if the database server does.

### PreparedQueries

    public static final QSqlDriver.DriverFeature PreparedQueries

  Whether the driver supports prepared query execution.

### NamedPlaceholders

    public static final QSqlDriver.DriverFeature NamedPlaceholders

  Whether the driver supports the use of named placeholders.

### PositionalPlaceholders

    public static final QSqlDriver.DriverFeature PositionalPlaceholders

  Whether the driver supports the use of positional placeholders.

### LastInsertId

    public static final QSqlDriver.DriverFeature LastInsertId

  Whether the driver supports returning the Id of the last touched row.

### BatchOperations

    public static final QSqlDriver.DriverFeature BatchOperations

  Whether the driver supports batched operations, see `QSqlQuery::execBatch()`

### SimpleLocking

    public static final QSqlDriver.DriverFeature SimpleLocking

  Whether the driver disallows a write lock on a table while other queries have a read lock on it.

### LowPrecisionNumbers

    public static final QSqlDriver.DriverFeature LowPrecisionNumbers

  Whether the driver allows fetching numerical values with low precision.

### EventNotifications

    public static final QSqlDriver.DriverFeature EventNotifications

  Whether the driver supports database event notifications.

### FinishQuery

    public static final QSqlDriver.DriverFeature FinishQuery

  Whether the driver can do any low-level resource cleanup when `QSqlQuery::finish()` is called.

### MultipleResultSets

    public static final QSqlDriver.DriverFeature MultipleResultSets

  Whether the driver can access multiple result sets returned from batched statements or stored procedures.

Method Detail

### values

    public static QSqlDriver.DriverFeature[] values()

### valueOf

    public static QSqlDriver.DriverFeature valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QSqlDriver.DriverFeature resolve(int value)

  Returns the QSqlDriver$DriverFeature constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD